"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var gulp_core_build_1 = require('gulp-core-build');
var MochaTask = (function (_super) {
    __extends(MochaTask, _super);
    function MochaTask() {
        _super.apply(this, arguments);
        this.name = 'mocha';
        this.taskConfig = {
            testMatch: ['lib/**/*.test.js']
        };
    }
    MochaTask.prototype.executeTask = function (gulp, completeCallback) {
        var istanbul = require('gulp-istanbul');
        var mocha = require('gulp-mocha');
        /* tslint:disable:no-string-literal */
        var matchString = this.buildConfig.args['match'];
        /* tslint:enable:no-string-literal */
        return gulp.src(this.taskConfig.testMatch, { read: false })
            .pipe(mocha({
            grep: matchString
        }))
            .pipe(istanbul.writeReports());
    };
    return MochaTask;
}(gulp_core_build_1.GulpTask));
exports.MochaTask = MochaTask;

//# sourceMappingURL=MochaTask.js.map
