"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var gulp_core_build_1 = require('gulp-core-build');
var InstrumentTask = (function (_super) {
    __extends(InstrumentTask, _super);
    function InstrumentTask() {
        _super.apply(this, arguments);
        this.name = 'instrument';
        this.taskConfig = {
            coverageMatch: ['lib/**/*.js', '!lib/**/*.test.js']
        };
    }
    InstrumentTask.prototype.executeTask = function (gulp, completeCallback) {
        var istanbul = require('gulp-istanbul');
        return gulp.src(this.taskConfig.coverageMatch)
            .pipe(istanbul())
            .pipe(istanbul.hookRequire())
            .pipe(gulp.dest(this.buildConfig.tempFolder));
    };
    return InstrumentTask;
}(gulp_core_build_1.GulpTask));
exports.InstrumentTask = InstrumentTask;

//# sourceMappingURL=InstrumentTask.js.map
